
function loadPageWithData(btn, id, url, head_title, para){
	document.getElementById(btn).addEventListener("tap", function(){
		var wurl = url;
		mui.openWindow({
			url: wurl, 
	    	id: id,
	    	extras:{
	    		head_title:head_title,
				para:para
	    	},
	    	show:{
			    duration:200
		    },
	    	waiting:{
	  			autoShow:false
	  		}
		});
	})	
}
		


function openArticle(dom_id, title, article_id){
	document.getElementById(dom_id).addEventListener("tap", function(){
		mui.openWindow({
			url: "article.html", 
	    	id: "article",
	    	extras:{
	    		title:title,
				article_id:article_id
	    	},
	    	show:{
			    duration:200
		    },
	    	waiting:{
	  			autoShow:false
	  		}
		});
	});
}



function openWindow(btn, id, url, check_token){
	document.getElementById(btn).addEventListener('tap', function() {
		var wurl = url;
		if(check_token==true){
			var token = plus.storage.getItem("token");
			if(token==null || token.length<32){
		    	wurl="login.html";
		    }
		}

		mui.openWindow({
			url: wurl, 
	    	id: id,
	    	show:{
			    duration:200
		    },
	    	waiting:{
      			autoShow:false
      		}
		});
		
	});
}



function check_result(result){
    if(result==null || result=='TOKEN_ERROR' || result.length<2){
    	window.location.href="login.html";
    	return;
    }
}

function check_login( callback ){
	var token = plus.storage.getItem("token");
	
    if(token==null || token.length<32){
    	//plus.storage.setItem("token", '');
		window.location.href="login.html";
    	return;
    }else{
		callback();
	} 
}


function close_back(){
	plus.key.addEventListener('backbutton', function(){
        plus.webview.currentWebview().close('slide-out-right');
    }, false);
    
    document.getElementById("close_current").addEventListener("tap", function(){
    	plus.webview.currentWebview().close('slide-out-right');
    });
}